#include "defines.h"
#include "ascsi.h"
#include <scsi.h>

#define	secwrite(sec,blocks,buff)	S_WRITEEXT(sec,blocks,scsiid,blksz,buff)

int S_SecWrite(unlong sec,long blocks,unlong scsiid,int blksz,unchar *buff)
// １セクターの書き出し（汎用）
// 起動処理があること以外はS_WRITEEXTと同じ
// return : =0:ok , !=0:error	・・・S_TESTUNIT/S_WRITEEXTと同じ
// blocks : 読み込みブロック数 1〜65535
{
int ret;
int retry = 0;
	do {
		// 書き込み
		ret=secwrite(sec,blocks,buff);
		if (!ret) break; // 正常終了
		// エラー時のリトライ
		ret=S_Retry(scsiid,ret,&retry);
	} while (ret==0); // リトライ用
	return(ret);
}
